Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.
Get Knowledge Language Settings
Salesforce Knowledge must be enabled in your organization. It gets the Knowledge language settings, including the default knowledge language and a list of supported Knowledge language information.
Syntax
URI: /services/data/vXX.X/knowledgeManagement/settings
Formats: JSON, XML
HTTP methods: GET
Authentication: Authorization: Bearer token
Request body: None required
Request parameters: None
Example
Example Request
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/knowledgeManagement/settings -H "Authorization: Bearer token"Example Response Body
1{
2 "defaultLanguage" : "en_US",
3 "knowledgeEnabled" : true,
4 "languages" : [ {
5 "active" : true,
6 "name" : "en_US"
7 }, {
8 "active" : true,
9 "name" : "it"
10 }, {
11 "active" : true,
12 "name" : "zh_CN"
13 }, {
14 "active" : true,
15 "name" : "fr"
16 } ]
17}